# Created by pyp2rpm-2.0.0
%global pypi_name jsonpath-rw-ext
%global sname jsonpath_rw_ext

%if 0%{?fedora} || 0%{?rhel} > 7
%global with_python3 1
%endif

%bcond_with docs

Name:           python-%{pypi_name}
Version:        1.0.0
Release:        2%{?dist}
Provides:        python2-jsonpath-rw-ext = %{version}-%{release}
Summary:        Extensions for JSONPath RW

License:        ASL 2.0
URL:            https://github.com/sileht/python-jsonpath-rw-ext
Source0:        https://pypi.python.org/packages/source/j/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch
 
%description
Extensions for JSONPath RW

%if 0%{?with_python3}
%package -n     python3-%{pypi_name}
Summary:        Extensions for JSONPath RW
%{?python_provide:%python_provide python3-%{pypi_name}}

BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-pbr
%if %{with docs}
BuildRequires:  python3-sphinx
%endif
Requires:       python3-babel >= 1.3
Requires:       python3-jsonpath-rw >= 1.2

%description -n python3-%{pypi_name}
Extensions for JSONPath RW
%endif

%if %{with docs}
%package -n python-%{pypi_name}-doc
Summary:        jsonpath-rw-ext documentation
%description -n python-%{pypi_name}-doc
Documentation for jsonpath-rw-ext

%endif

%prep
%autosetup -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build

%if 0%{?with_python3}
%{__python3} setup.py build
%endif
%if %{with docs}
# generate html docs 
sphinx-build doc/source html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}
%endif

%install
%if 0%{?with_python3}
%{__python3} setup.py install --skip-build --root %{buildroot}
%endif


%if 0%{?with_python3}
%files -n python3-%{pypi_name}
%license LICENSE
%doc doc/source/readme.rst README.rst
%{python3_sitelib}/%{sname}
%{python3_sitelib}/*.egg-info
%endif

%if %{with docs}
%files -n python-%{pypi_name}-doc
%doc html 
%endif

%changelog
* Thu Jan 17 2019 Shreshtha Joshi <shrjoshi@redhat.com> - 1.0.0-2
- RHEL8-isms

* Thu May 05 2016 Pradeep Kilambi <pkilambi@redhat.com> - 1.0.0-1
- Rebase to 1.0.0

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.7-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Tue Nov 10 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.7-2
- Rebuilt for https://fedoraproject.org/wiki/Changes/python3.5

* Tue Sep 01 2015 Haïkel Guémar <hguemar@fedoraproject.org> - 0.1.7-1
- Initial package.
